View Issue Details

IDProjectCategoryView StatusLast Update
0005040unrealircdpublic2018-04-22 08:35
ReportersyzopAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version4.0.17 
Target Version4.0.18Fixed in Version4.0.18 
Summary0005040: blacklist: add ipv6 support
Descriptionhttps://www.spamhaus.org/organization/statement/012/spamhaus-ipv6-blocklists-strategy-statement
"For example, to query the address 2001:DB8:abc:123::42 the IPv6 address would be expanded, reversed and prepended to the zone to be queried, to give an example query of:
2.4.0.0.0.0.0.0.0.0.0.0.0.0.0.0.3.2.1.0.c.b.a.0.8.b.d.0.1.0.0.2.zen.spamhaus.org"

Suggested by k4be
TagsNo tags attached.
3rd party modules

Activities

syzop

2018-03-07 10:48

administrator   ~0020042

bump

syzop

2018-04-22 08:33

administrator   ~0020099

https://github.com/unrealircd/unrealircd/commit/ad9ca5e449967a022c7030a32dd8d16aa73d52d2

commit ad9ca5e449967a022c7030a32dd8d16aa73d52d2
Author: Bram Matthys <syzop@vulnscan.org>
Date: Sun Apr 22 08:30:02 2018 +0200

    Add support for checking IPv6 addresses in blacklists.
    Suggested by k4be (0005040).

syzop

2018-04-22 08:35

administrator   ~0020100

Also, apparently the authoritative document is RFC5782 (though, as always, classified as Informational)
https://tools.ietf.org/html/rfc5782
IPv6 blacklist syntax being ip6.arpa style is mentioned in section 2.4

Issue History

Date Modified Username Field Change
2017-12-26 12:56 syzop New Issue
2017-12-26 12:57 syzop Status new => acknowledged
2018-03-07 10:48 syzop Note Added: 0020042
2018-04-22 08:33 syzop Assigned To => syzop
2018-04-22 08:33 syzop Status acknowledged => resolved
2018-04-22 08:33 syzop Resolution open => fixed
2018-04-22 08:33 syzop Fixed in Version => 4.0.18
2018-04-22 08:33 syzop Note Added: 0020099
2018-04-22 08:35 syzop Note Added: 0020100